# std::basic_string_view<CharT,Traits>::begin, std::basic_string_view<CharT,Traits>::cbegin

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_iterator begin() const noexcept; |  | (since C++17)
constexpr const_iterator cbegin() const noexcept; |  | (since C++17)

Returns an iterator to the first character of the view.

### Parameters

(none)

### Return value

`const_iterator` to the first character

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <string_view>

    int main()
    {
        std::string_view str_view("abcd");

        auto begin = str_view.begin();
        auto cbegin = str_view.cbegin();

        std::cout << *begin << '\n';
        std::cout << *cbegin << '\n';

        std::cout << std::boolalpha << (begin == cbegin) << '\n';
        std::cout << std::boolalpha << (*begin == *cbegin) << '\n';
    }

Output:

    a
    a
    true
    true

### See also

endcend | returns an iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/begin&oldid=105876"